module wecker (
	sec_takt,
	set_time, set_alarm, set_hour, set_min,
	clk, reset, alarm_on_off,
	a_1, b_1, c_1, d_1, e_1, f_1, g_1,
	a_2, b_2, c_2, d_2, e_2, f_2, g_2,
	a_3, b_3, c_3, d_3, e_3, f_3, g_3,
	a_4, b_4, c_4, d_4, e_4, f_4, g_4,

	alarm_out, alarm_anzeige     		 	
);

output sec_takt;
input set_time, set_alarm, set_hour, set_min;
input clk, reset, alarm_on_off;
output a_1, b_1, c_1, d_1, e_1, f_1, g_1;
output a_2, b_2, c_2, d_2, e_2, f_2, g_2;
output a_3, b_3, c_3, d_3, e_3, f_3, g_3;
output a_4, b_4, c_4, d_4, e_4, f_4, g_4;

output alarm_out, alarm_anzeige;

wire [3:0] m_1_intern, h_1_intern, temp1, temp2;
wire [2:0] m_10_intern;
wire [1:0] h_10_intern;

assign temp1 = {2'b0, h_10_intern};
assign temp2 = {2'b0, m_10_intern};

	time_block2 I1 (
		reset, clk, set_time, set_hour, set_min, 
		set_alarm, comp_flag, sec_takt, m_1_intern, h_1_intern, 
		m_10_intern, h_10_intern
	);

	bcd_dec_low I2 (
		temp1, a_4, b_4, c_4, d_4, e_4, f_4, g_4);

	bcd_dec_low I3 (
		h_1_intern, a_3, b_3, c_3, d_3, e_3, f_3, g_3);

	bcd_dec_low I4 (
		temp2, a_2, b_2, c_2, d_2, e_2, f_2, g_2);

	bcd_dec_low I5 (
		m_1_intern, a_1, b_1, c_1, d_1, e_1, f_1, g_1);
		
	alarm_fsm I6 (
		reset, clk, alarm_on_off, comp_flag, 
		alarm_out, alarm_anzeige);
endmodule
