module bcd_dec_low (
	bcd_in,
        a, b, c, d, e, f, g
);

input [3:0]bcd_in;
output a, b, c, d, e, f, g;
reg a, b, c, d, e, f, g;

	always @(bcd_in)
	begin
		case (bcd_in)
      			'b0000:	
			begin 
				a = 0; b = 0; c = 0; d = 0; e = 0; f = 0; g = 1;
			end
      			'b0001:
			begin 
				a = 1; b = 0; c = 0; d = 1; e = 1; f = 1; g = 1;
			end
      			'b0010:	
			begin 
				a = 0; b = 0; c = 1; d = 0; e = 0; f = 1; g = 0;
			end
      			'b0011:	
			begin 
				a = 0; b = 0; c = 0; d = 0; e = 1; f = 1; g = 0;
			end
      			'b0100:
			begin 
				a = 1; b = 0; c = 0; d = 1; e = 1; f = 0; g = 0;
			end
      			'b0101:
			begin
				a = 0; b = 1; c = 0; d = 0; e = 1; f = 0; g = 0;	
			end
      			'b0110:	
			begin 
				a = 0; b = 1; c = 0; d = 0; e = 0; f = 0; g = 0;
			end
      			'b0111:
			begin 
				a = 0; b = 0; c = 0; d = 1; e = 1; f = 1; g = 1;
			end
      			'b1000:	
			begin 
				a = 0; b = 0; c = 0; d = 0; e = 0; f = 0; g = 0;
			end
      			'b1001: 
			begin 
				a = 0; b = 0; c = 0; d = 0; e = 1; f = 0; g = 0;
			end
			default:
			begin 
				a = 1; b = 1; c = 1; d = 1; e = 1; f = 1; g = 1;
			end
  		endcase
	end
endmodule
